import matplotlib.pyplot as plt
numargs = erlang.numargs
[ n ] = [0.9,] * numargs
rv = erlang(n)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = erlang.cdf(x, n)
h = plt.semilogy(np.abs(x - erlang.ppf(prb, n)) + 1e-20)

# Random number generation

R = erlang.rvs(n, size=100)
